class 'interface'

interface.soundEventCompleteOne = "SOUND_EVENT_COMPLETE_ITEM"
interface.soundEventCompleteAll = "SOUND_EVENT_COMPLETE_ALL"
interface.soundEventBad         = "SOUND_EVENT_BAD"

function interface:__init()
end

function interface:onLevelGlobals()
end

function interface:onLevelInited()
end

function interface:onDayBegin()
end

function interface:onDayEnd()
end

function interface:onTick(time)
end

function interface:onClickMessage(text, result)
end

function interface:onNotify(notification)
end

function interface:onClickProduct(product)
	return false
end

function interface:onClickRegister(register)
	return false
end

function interface:onClickPerson(person)
	return false
end

function interface:onClickObject(object)
	return false
end

function interface:onClickTable(table)
	return false
end

function interface:onClickMessage(text, result)
end

function interface:onClickButton(button)
end

function interface:onLockToNode(actor, node)
end

function interface:onTaskHook(actorType, taskType, p0, p1)
	return false
end

function interface:onTaskStart(actorType, taskType, p0, p1)
end

function interface:onTaskComplete(actorType, taskType, p0, p1)
end

function interface:onTaskCancel(actorType, taskType, p0, p1)
end

function interface:createObject(desc)
	return nil
end

function interface:createPerson(class)
	return nil
end

function interface:createProduct(base)
	return nil
end